<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_6a90de6af30" . "bf720b668cfb" . "570e606de" => base64_decode("cHJldl9zd" . "GF0ZQ=="), "_b2f5a1004511" . "64396178c16d2" . "a5c6899" => base64_decode("cHJldl90aX" . "RsZQ=="), "titl" . "e" => base64_decode("dGl0bG" . "U="), "_4c760fb02a49c55509ba087b8" . "4fbda45" => base64_decode("ZHJhZnQ" . "="), "_939c6a45ff74323dbef487ed15753" . "a7c" => base64_decode("c3Rhd" . "GU="), "_2e858fb1973337f53ff85c1" . "04fcb38f4" => base64_decode("cHVibGl" . "zaGVk"));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b2f5a10045" . "1164396178c" . "16d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["titl" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_6a90de6a" . "f30bf720b" . "668cfb570" . "e606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_939c6a45ff7432" . "3dbef487ed15753" . "a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_939c6a45ff74323dbef" . "487ed15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4c760fb02a49c55509ba087b84fb" . "da45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2e858fb197" . "3337f53ff85" . "c104fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}